EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetExecutionsPendingCancellation',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Executions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns executions which are awaiting cancellation.'
GO


IF OBJECT_ID('[Executions_GetExecutionsPendingCancellation]') IS NOT NULL DROP PROCEDURE [Executions_GetExecutionsPendingCancellation]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetExecutionsPendingCancellation]
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Executions_Extended]
	 WHERE [ExecutionRunState_Code] = 'X'
	   AND [CanceledOn_Date] IS NOT NULL

END
GO

GRANT EXECUTE ON [Executions_GetExecutionsPendingCancellation] TO [ProGetUser_Role]

GO