EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'LicenseRules_GetMatchingRule',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'LicenseRules_Extended,Licenses',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the best match for a license rule.'
GO

IF OBJECT_ID('[LicenseRules_GetMatchingRule]') IS NOT NULL DROP PROCEDURE [LicenseRules_GetMatchingRule]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [LicenseRules_GetMatchingRule]
(
	@Feed_Id INT,
	@Match_Term VARCHAR(400)
)
AS
BEGIN

	SET NOCOUNT ON

	DECLARE @License_Id INT
	SET @License_Id = COALESCE((SELECT [License_Id]
	                              FROM [Licenses]
						         WHERE [External_Id] = @Match_Term),
							   (SELECT [License_Id]
							      FROM [LicenseUrls]
								 WHERE [License_Url] = @Match_Term))

	SELECT *
	  FROM [LicenseRules_Extended]
	 WHERE ([Feed_Id] = @Feed_Id OR [Feed_Id] IS NULL)
	   AND ([License_Id] = @License_Id)
	 ORDER BY [Feed_Id] DESC -- NULLS LAST is not supported in T-SQL

	SELECT *
	  FROM [Licenses]
	 WHERE [License_Id] = @License_Id

END
GO

GRANT EXECUTE ON [LicenseRules_GetMatchingRule] TO [ProGetUser_Role]
GO
