EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ProGetPackages_GetPackageVersions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ProGetPackageVersions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the package versions in a ProGet feed.'
GO

IF OBJECT_ID('[ProGetPackages_GetPackageVersions]') IS NOT NULL DROP PROCEDURE [ProGetPackages_GetPackageVersions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ProGetPackages_GetPackageVersions]
(
	@Feed_Id INT,
	@Group_Name NVARCHAR(200),
	@Package_Name NVARCHAR(100),
	@Version_Text NVARCHAR(50) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT PGPV.*
	  FROM [ProGetPackageVersions_Extended] PGPV
	       INNER JOIN [ProGetPackages] PGP
		           ON PGP.[ProGetPackage_Id] = PGPV.[ProGetPackage_Id]
	 WHERE PGP.[Feed_Id] = @Feed_Id
	   AND (@Group_Name IS NULL OR PGP.[Group_Name] = @Group_Name)
	   AND (@Package_Name IS NULL OR PGP.[Package_Name] = @Package_Name)
	   AND (@Version_Text IS NULL OR PGPV.[Version_Text] = @Version_Text)

END
GO

GRANT EXECUTE ON [ProGetPackages_GetPackageVersions] TO [ProGetUser_Role]
GO